Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class PointcutStats

    java.lang.Object
      org.jboss.aop.pointcut.PointcutStats

All Implemented Interfaces:
  PointcutExpressionParserVisitor

public class PointcutStats
extends Object
implements PointcutExpressionParserVisitor

Comment

Version:
  $Revision: 1.4 $
Author:
  Bill Burke

Field Summary
`protected boolean` | `call`
`protected boolean` | `construction`
`protected boolean` | `execution`
`protected boolean` | `get`
`protected AspectManager` | `manager`
`protected boolean` | `set`
`protected ASTStart` | `start`
`protected boolean` | `within`
`protected boolean` | `withincode`

Constructor Summary
`PointcutStats(ASTStart start, AspectManager manager)`

Method Summary
`boolean` | `isCall()`
`boolean` | `isConstruction()`
`boolean` | `isExecution()`
`boolean` | `isGet()`
`boolean` | `isSet()`
`boolean` | `isWithin()`
`boolean` | `isWithincode()`
`boolean` | `matches()`
`Object` | `visit(ASTAll node, Object data)`
`Object` | `visit(ASTAllParameter node, Object data)`
`Object` | `visit(ASTAndCFlow node, Object data)`
`Object` | `visit(ASTAnd node, Object left)`
`Object` | `visit(ASTAttribute node, Object data)`
`Object` | `visit(ASTBoolean node, Object data)`
`Object` | `visit(ASTCall node, Object data)`
`Object` | `visit(ASTCFlowBoolean node, Object data)`
`Object` | `visit(ASTCFlowExpression node, Object data)`
`Object` | `visit(ASTCFlow node, Object data)`
`Object` | `visit(ASTCompositeCFlow node, Object data)`
`Object` | `visit(ASTComposite node, Object data)`
`Object` | `visit(ASTConstruction node, Object data)`
`Object` | `visit(ASTConstructor node, Object data)`
`Object` | `visit(ASTException node, Object data)`
`Object` | `visit(ASTExecution node, Object data)`
`Object` | `visit(ASTExecutionOnly node, Object data)`
`Object` | `visit(ASTFieldExecution node, Object data)`
`Object` | `visit(ASTField node, Object data)`
`Object` | `visit(ASTGet node, Object data)`
`Object` | `visit(ASTHasField node, Object data)`
`Object` | `visit(ASTHas node, Object data)`
`Object` | `visit(ASTMethod node, Object data)`
`Object` | `visit(ASTNotCFlow node, Object data)`
`Object` | `visit(ASTNot node, Object data)`
`Object` | `visit(ASTOrCFlow node, Object data)`
`Object` | `visit(ASTOr node, Object left)`
`Object` | `visit(ASTParameter node, Object data)`
`Object` | `visit(ASTPointcut node, Object data)`
`Object` | `visit(ASTSet node, Object data)`
`Object` | `visit(ASTStart node, Object data)`
`Object` | `visit(ASTSubCFlow node, Object data)`
`Object` | `visit(ASTSub node, Object data)`
`Object` | `visit(ASTWithincode node, Object data)`
`Object` | `visit(ASTWithin node, Object data)`
`Object` | `visit(SimpleNode node, Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### start

    protected ASTStart start

### manager

    protected AspectManager manager

### execution

    protected boolean execution

### construction

    protected boolean construction

### call

    protected boolean call

### within

    protected boolean within

### get

    protected boolean get

### set

    protected boolean set

### withincode

    protected boolean withincode

Constructor Detail

### PointcutStats

    public PointcutStats(ASTStart start,
                         AspectManager manager)

Method Detail

### isExecution

    public boolean isExecution()

### isConstruction

    public boolean isConstruction()

### isCall

    public boolean isCall()

### isWithin

    public boolean isWithin()

### isGet

    public boolean isGet()

### isSet

    public boolean isSet()

### isWithincode

    public boolean isWithincode()

### matches

    public boolean matches()

### visit

    public Object visit(ASTStart node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTExecutionOnly node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTBoolean node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTComposite node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTNot node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTSub node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTAnd node,
                        Object left)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTOr node,
                        Object left)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTPointcut node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTAll node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTCFlowExpression node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTCall node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTWithin node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTWithincode node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTExecution node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTConstruction node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTGet node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTSet node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTFieldExecution node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(SimpleNode node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTCFlowBoolean node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTNotCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTCompositeCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTSubCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTAndCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTOrCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTMethod node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTAttribute node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTConstructor node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTParameter node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTAllParameter node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTField node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTException node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTHas node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

### visit

    public Object visit(ASTHasField node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.